#!/bin/sh

#--------------------------------------------------------------------------
# Licensed Material - Property of IBM
#
# 5655-N01 (C) Copyright IBM Corp. 2009
# All Rights Reserved.
# U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or
# Disclosure restricted by GSA-ADP schedule contract with IBM Corp.
# Status = JIWO700
#
# -------------------------------------------------------------------------
# Parms
# $1 - Absolute path to install root
# $2 - Absoluate path to the config root
# Returns
#  0 - Success
# -1 - Failure
#
# Logic: This script does set up work for the Multi-Product PTF post installer.

# -------------------------------------------------------------------------
# Global Initialization 
# -------------------------------------------------------------------------

echo $0" - BEGIN - "$(date)

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

tmpdir=$WAS_HOME/properties/service/product/WXDCG/backup/tmp

wasproperties=$tmpdir/WXDCG.properties 
zWASPostInstaller=$WAS_HOME/properties/service/product/WXDCG/WXDCG.properties

if [ ! -e $tmpdir ]; then
  mkdir $tmpdir
fi

if [ -e $wasproperties ]; then
  rm $wasproperties
fi

currentlevel=cf021231.04

echo "#-------------------------------------------------------------------"                   >> $wasproperties
echo "# Licensed Material - Property of IBM"                                                  >> $wasproperties
echo "#"                                                                                      >> $wasproperties
echo "# 5655-N01 (C) Copyright IBM Corp. 2009"                                                >> $wasproperties
echo "# All Rights Reserved."                                                                 >> $wasproperties
echo "# U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or"                     >> $wasproperties
echo "# Disclosure restricted by GSA-ADP schedule contract with IBM Corp."                    >> $wasproperties
echo "# Status = JIWO700"                                                                     >> $wasproperties
echo "#"                                                                                      >> $wasproperties
echo "# ------------------------------------------------------------------"                   >> $wasproperties
echo " "                                                                                      >> $wasproperties
echo "# Multi-Product PTF Installer properties file for WXDCG             "                   >> $wasproperties
echo "# Date Created: "$(date)                                                                >> $wasproperties
echo " "                                                                                      >> $wasproperties
echo "WAS.home="$WAS_HOME                                                                     >> $wasproperties           
echo "WXDCG.smpe.root="$1                                               >> $wasproperties
echo "WAS.config.type="$CONFIG_TYPE                                                           >> $wasproperties
echo "WXDCG.service.backup="$WAS_HOME"/properties/service/product/WXDCG/backup" >> $wasproperties
echo "WXDCG.current.config.root.service.level="$currentlevel                        >> $wasproperties
echo "WXDCG.coldstart.level="$currentlevel                                          >> $wasproperties
echo "WXDCG.target.rollback.level="                                                 >> $wasproperties
echo "WXDCG.service.path="$WAS_HOME"/properties/service/product/WXDCG"          >> $wasproperties

if [ -e $zWASPostInstaller ]; then
  rm $zWASPostInstaller
fi

# Now copy the properties file into the right place and convert it to ASCII
iconv -fIBM-1047 -tISO8859-1 $wasproperties > $zWASPostInstaller

# Copy the service-level.properties file from the SMP/e root to this WAS_HOME
# so that applyPTF.sh doesn't think there is post install service pending

cp $1/properties/service/product/WXDCG/service/service-level.properties $WAS_HOME/properties/service/product/WXDCG/service-level.properties

echo $0" - END - RC=0"$(date)
